## gate.creole
Class AbstractLanguageAnalyser

    java.lang.Object
      |
      +--gate.util.AbstractFeatureBearer
            |
            +--gate.creole.AbstractResource
                  |
                  +--gate.creole.AbstractProcessingResource
                        |
                        +--gate.creole.AbstractLanguageAnalyser

All Implemented Interfaces:
  Executable, FeatureBearer, LanguageAnalyser, NameBearer, ProcessingResource, Resource, Serializable

Direct Known Subclasses:
  AnnotationDeletePR, AnnotationSetTransfer, APFormatExporter, DefaultGazetteer, DefaultTokeniser, OrthoMatcher, POSTagger, SentenceSplitter, SimpleTokeniser, Transducer

public abstract class AbstractLanguageAnalyser
extends AbstractProcessingResource
implements LanguageAnalyser

A parent implementation of language analysers with some default code.

See Also:
  Serialized Form

Inner classes inherited from class gate.creole.AbstractProcessingResource
`AbstractProcessingResource.InternalStatusListener, AbstractProcessingResource.IntervalProgressListener`

Field Summary
`protected Corpus` `corpus` The corpus property for this analyser.
`protected Document` `document` The document property for this analyser.

Fields inherited from class gate.creole.AbstractProcessingResource
`interrupted, progressListeners, statusListeners`

Fields inherited from class gate.creole.AbstractResource
`name, serialVersionUID`

Fields inherited from class gate.util.AbstractFeatureBearer
`features`

Constructor Summary
`AbstractLanguageAnalyser()`

Method Summary
`Corpus` `getCorpus()` Get the corpus property for this analyser.
`Document` `getDocument()` Get the document property for this analyser.
`void` `setCorpus(Corpus corpus)` Set the corpus property for this analyser.
`void` `setDocument(Document document)` Set the document property for this analyser.

Methods inherited from class gate.creole.AbstractProcessingResource
`addProgressListener, addStatusListener, cleanup, execute, fireProcessFinished, fireProgressChanged, fireStatusChanged, init, interrupt, isInterrupted, reInit, removeProgressListener, removeStatusListener`

Methods inherited from class gate.creole.AbstractResource
`checkParameterValues, getName, getParameterValue, getParameterValue, removeResourceListeners, setName, setParameterValue, setParameterValue, setParameterValues, setParameterValues, setResourceListeners`

Methods inherited from class gate.util.AbstractFeatureBearer
`getFeatures, setFeatures`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Methods inherited from interface gate.ProcessingResource
`interrupt, isInterrupted, reInit`

Methods inherited from interface gate.Resource
`cleanup, getParameterValue, init, setParameterValue, setParameterValues`

Methods inherited from interface gate.util.FeatureBearer
`getFeatures, setFeatures`

Methods inherited from interface gate.util.NameBearer
`getName, setName`

Methods inherited from interface gate.Executable
`execute`

Field Detail

### document

    protected Document document

  The document property for this analyser.

### corpus

    protected Corpus corpus

  The corpus property for this analyser.

Constructor Detail

### AbstractLanguageAnalyser

    public AbstractLanguageAnalyser()

Method Detail

### setDocument

    public void setDocument(Document document)

  Set the document property for this analyser.
  Specified by:
    `setDocument` in interface `LanguageAnalyser`

### getDocument

    public Document getDocument()

  Get the document property for this analyser.
  Specified by:
    `getDocument` in interface `LanguageAnalyser`

### setCorpus

    public void setCorpus(Corpus corpus)

  Set the corpus property for this analyser.
  Specified by:
    `setCorpus` in interface `LanguageAnalyser`

### getCorpus

    public Corpus getCorpus()

  Get the corpus property for this analyser.
  Specified by:
    `getCorpus` in interface `LanguageAnalyser`